gi-gio-2.0.32: Gio bindings

Copyright | Will Thompson and Iñaki García Etxebarria
License | LGPL-2.1
Maintainer | Iñaki García Etxebarria
Safe Haskell | Safe-Inferred
Language | Haskell2010

GI.Gio.Objects.UnixMountMonitor

Contents

- Exported types
- Methods
  - get
  - new
  - setRateLimit
- Signals
  - mountpointsChanged
  - mountsChanged

Description

Watches `GUnixMounts` for changes.

Synopsis

- newtype UnixMountMonitor = UnixMountMonitor (ManagedPtr UnixMountMonitor)
- class (GObject o, IsDescendantOf UnixMountMonitor o) => IsUnixMountMonitor o
- toUnixMountMonitor :: (MonadIO m, IsUnixMountMonitor o) => o -> m UnixMountMonitor
- unixMountMonitorGet :: (HasCallStack, MonadIO m) => m UnixMountMonitor
- unixMountMonitorNew :: (HasCallStack, MonadIO m) => m UnixMountMonitor
- unixMountMonitorSetRateLimit :: (HasCallStack, MonadIO m, IsUnixMountMonitor a) => a -> Int32 -> m ()
- type UnixMountMonitorMountpointsChangedCallback = IO ()
- afterUnixMountMonitorMountpointsChanged :: (IsUnixMountMonitor a, MonadIO m) => a -> ((?self :: a) => UnixMountMonitorMountpointsChangedCallback) -> m SignalHandlerId
- onUnixMountMonitorMountpointsChanged :: (IsUnixMountMonitor a, MonadIO m) => a -> ((?self :: a) => UnixMountMonitorMountpointsChangedCallback) -> m SignalHandlerId
- type UnixMountMonitorMountsChangedCallback = IO ()
- afterUnixMountMonitorMountsChanged :: (IsUnixMountMonitor a, MonadIO m) => a -> ((?self :: a) => UnixMountMonitorMountsChangedCallback) -> m SignalHandlerId
- onUnixMountMonitorMountsChanged :: (IsUnixMountMonitor a, MonadIO m) => a -> ((?self :: a) => UnixMountMonitorMountsChangedCallback) -> m SignalHandlerId

# Exported types

newtype UnixMountMonitor Source #

Memory-managed wrapper type.

Constructors

UnixMountMonitor (ManagedPtr UnixMountMonitor) |

#### Instances

Instances details

Eq UnixMountMonitor Source # |
Instance details Defined in GI.Gio.Objects.UnixMountMonitor Methods (==) :: UnixMountMonitor -> UnixMountMonitor -> Bool Source # (/=) :: UnixMountMonitor -> UnixMountMonitor -> Bool Source #
GObject UnixMountMonitor Source # |
Instance details Defined in GI.Gio.Objects.UnixMountMonitor
ManagedPtrNewtype UnixMountMonitor Source # |
Instance details Defined in GI.Gio.Objects.UnixMountMonitor Methods toManagedPtr :: UnixMountMonitor -> ManagedPtr UnixMountMonitor Source #
TypedObject UnixMountMonitor Source # |
Instance details Defined in GI.Gio.Objects.UnixMountMonitor Methods glibType :: IO GType Source #
HasParentTypes UnixMountMonitor Source # |
Instance details Defined in GI.Gio.Objects.UnixMountMonitor
IsGValue (Maybe UnixMountMonitor) Source # | Convert `UnixMountMonitor` to and from `GValue`. See `toGValue` and `fromGValue`.
Instance details Defined in GI.Gio.Objects.UnixMountMonitor Methods gvalueGType_ :: IO GType Source # gvalueSet_ :: Ptr GValue -> Maybe UnixMountMonitor -> IO () Source # gvalueGet_ :: Ptr GValue -> IO (Maybe UnixMountMonitor) Source #
type ParentTypes UnixMountMonitor Source # |
Instance details Defined in GI.Gio.Objects.UnixMountMonitor type ParentTypes UnixMountMonitor = '[Object]

class (GObject o, IsDescendantOf UnixMountMonitor o) => IsUnixMountMonitor o Source #

Type class for types which can be safely cast to `UnixMountMonitor`, for instance with `toUnixMountMonitor`.

#### Instances

Instances details

(GObject o, IsDescendantOf UnixMountMonitor o) => IsUnixMountMonitor o Source # |
Instance details Defined in GI.Gio.Objects.UnixMountMonitor

toUnixMountMonitor :: (MonadIO m, IsUnixMountMonitor o) => o -> m UnixMountMonitor Source #

Cast to `UnixMountMonitor`, for types for which this is known to be safe. For general casts, use `castTo`.

# Methods

### Click to display all available methods, including inherited ones

Expand

#### Methods

bindProperty, bindPropertyFull, forceFloating, freezeNotify, getv, isFloating, notify, notifyByPspec, ref, refSink, runDispose, stealData, stealQdata, thawNotify, unref, watchClosure.

#### Getters

getData, getProperty, getQdata.

#### Setters

setData, setDataFull, setProperty, setRateLimit.

## get

unixMountMonitorGet Source #

Arguments

:: (HasCallStack, MonadIO m) |
=> m UnixMountMonitor | Returns: the `UnixMountMonitor`.

Gets the `UnixMountMonitor` for the current thread-default main context.

The mount monitor can be used to monitor for changes to the list of mounted filesystems as well as the list of mount points (ie: fstab entries).

You must only call `objectUnref` on the return value from under the same main context as you called this function.

Since: 2.44

## new

unixMountMonitorNew Source #

Arguments

:: (HasCallStack, MonadIO m) |
=> m UnixMountMonitor | Returns: a `UnixMountMonitor`.

Deprecated: (Since version 2.44)Use `unixMountMonitorGet` instead.

Deprecated alias for `unixMountMonitorGet`.

This function was never a true constructor, which is why it was renamed.

## setRateLimit

unixMountMonitorSetRateLimit Source #

Arguments

:: (HasCallStack, MonadIO m, IsUnixMountMonitor a) |
=> a | `mountMonitor`: a `UnixMountMonitor`
-> Int32 | `limitMsec`: a integer with the limit in milliseconds to poll for changes.
-> m () |

Deprecated: (Since version 2.44)This function does nothing. Don't call it.

This function does nothing.

Before 2.44, this was a partially-effective way of controlling the rate at which events would be reported under some uncommon circumstances. Since `mountMonitor` is a singleton, it also meant that calling this function would have side effects for other users of the monitor.

Since: 2.18

# Signals

## mountpointsChanged

type UnixMountMonitorMountpointsChangedCallback = IO () Source #

Emitted when the unix mount points have changed.

afterUnixMountMonitorMountpointsChanged :: (IsUnixMountMonitor a, MonadIO m) => a -> ((?self :: a) => UnixMountMonitorMountpointsChangedCallback) -> m SignalHandlerId Source #

Connect a signal handler for the mountpointsChanged signal, to be run after the default handler. When overloading is enabled, this is equivalent to

    after unixMountMonitor #mountpointsChanged callback

By default the object invoking the signal is not passed to the callback. If you need to access it, you can use the implit `?self` parameter. Note that this requires activating the `ImplicitParams` GHC extension.

onUnixMountMonitorMountpointsChanged :: (IsUnixMountMonitor a, MonadIO m) => a -> ((?self :: a) => UnixMountMonitorMountpointsChangedCallback) -> m SignalHandlerId Source #

Connect a signal handler for the mountpointsChanged signal, to be run before the default handler. When overloading is enabled, this is equivalent to

    on unixMountMonitor #mountpointsChanged callback

## mountsChanged

type UnixMountMonitorMountsChangedCallback = IO () Source #

Emitted when the unix mounts have changed.

afterUnixMountMonitorMountsChanged :: (IsUnixMountMonitor a, MonadIO m) => a -> ((?self :: a) => UnixMountMonitorMountsChangedCallback) -> m SignalHandlerId Source #

Connect a signal handler for the mountsChanged signal, to be run after the default handler. When overloading is enabled, this is equivalent to

    after unixMountMonitor #mountsChanged callback

By default the object invoking the signal is not passed to the callback. If you need to access it, you can use the implit `?self` parameter. Note that this requires activating the `ImplicitParams` GHC extension.

onUnixMountMonitorMountsChanged :: (IsUnixMountMonitor a, MonadIO m) => a -> ((?self :: a) => UnixMountMonitorMountsChangedCallback) -> m SignalHandlerId Source #

Connect a signal handler for the mountsChanged signal, to be run before the default handler. When overloading is enabled, this is equivalent to

    on unixMountMonitor #mountsChanged callback